package com.usky.agbox.service.mqtt;


import com.usky.agbox.service.vo.MqttBaseVO;

/**
 * 策略类
 *
 * @author yq
 * @date 2021/11/3 8:27
 */
public interface MqttStrategy {
    /**
     * 处理消息(策略模式由子类实现)
     *
     * @param mqttBaseVO
     * @return
     */
    String disposeMessage(MqttBaseVO mqttBaseVO);

}
