package com.usky.alarm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author han
 * @since 2024-06-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DmpDeviceLinkage implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID;设备注册时系统自动生成一个唯一编号
     */
    private String deviceId;

    /**
     * 设备类型（501、监控系统  502、门禁系统  503、梯控系统  504、机房系统  509、环境系统  510、照明系统）
     */
    private Integer deviceType;

    /**
     * 联动地址
     */
    private String linkageAddress;

    /**
     * 分组id
     */
    private Integer groupId;


}
