package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 巡检异常记录内容选项关联表
 * </p>
 *
 * @author fu
 * @since 2024-06-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PatrolInspectionAbnormalOption implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检异常记录内容选项关联表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 记录ID
     */
    private Integer recordId;

    /**
     * 内容选项ID
     */
    private Integer contentOptionId;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 内容
     */
    private String content;

    /**
     * 检查项ID
     */
    private Integer contentId;


}
