package com.usky.fire.mapper;

import com.usky.fire.domain.PatrolInspectionAttendance;
import com.usky.common.mybatis.core.CrudMapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 签到、签退信息记录表 Mapper 接口
 * </p>
 *
 * @author fu
 * @since 2024-02-05
 */
@Repository
public interface PatrolInspectionAttendanceMapper extends CrudMapper<PatrolInspectionAttendance> {
    Integer signIn(Integer tenantId);

    Integer signOut(Integer tenantId);
}
