package com.usky.fire.mapper;

import com.usky.fire.domain.PatrolInspectionPlanSon;
import com.usky.common.mybatis.core.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-07-18
 */
@Repository
public interface PatrolInspectionPlanSonMapper extends CrudMapper<PatrolInspectionPlanSon> {
    List<PatrolInspectionPlanSon> selectInspectionPlanSonData(@Param("datetime1") String datetime1, @Param("datetime2") String datetime2);
}
