package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DataJinganAnalysis;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 静安电子督察单数据 服务类
 * </p>
 *
 * @author han
 * @since 2024-03-07
 */
public interface DataJinganAnalysisService extends CrudService<DataJinganAnalysis> {

    /**
     * 电子督察单管理-电子督察单列表查询
     *
     * @param startTime  开始时间
     * @param endTime  结束时间
     * @param superviseCode  督察单编号
     * @param id  主键ID
     * @param handleStatus  处理状态
     * @param pageNum      当前页
     * @param pageSize     每页条数
     * @return
     */
    CommonPage<DataJinganAnalysis> analysisList(String startTime, String endTime,String superviseCode,Integer id,
                                                Integer handleStatus, Integer pageNum, Integer pageSize);

    void update(DataJinganAnalysis dataJinganAnalysis);

}
