package com.usky.iot;


import com.usky.iot.factory.RemotePmFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(contextId = "remoteIotService", value = "service-iot" , fallbackFactory = RemotePmFactory.class)
public interface RemotePmService {

    @GetMapping("/executeTimedSending")
    void executeTimedSending();
}
