package com.usky.iot.controller.web;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.ruoyi.common.datascope.annotation.DataScope;
import com.ruoyi.common.datascope.context.DataScopeContextHolder;
import com.usky.common.core.bean.ApiResult;
import com.usky.common.log.annotation.Log;
import com.usky.iot.service.PmReceiveService;
import com.usky.system.domain.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Objects;

/**
 * <p>
 * 报告接收表 前端控制器
 * </p>
 *
 * @author han
 * @since 2024-07-09
 */
@RestController
@RequestMapping("/pmReceive")
public class PmReceiveController {

    @Autowired
    private PmReceiveService pmReceiveService;

    @GetMapping("/updateReadFlag")
    public void updateReadFlag(Integer reportId){
        pmReceiveService.updateReadFlag(reportId);
    }

    @GetMapping("/deptTest")
    public List<SysUser> deptTest(Integer tenantId){
        return pmReceiveService.test(tenantId);
    }


}

