package com.usky.iot.service.config.rabbitmq;

import org.springframework.amqp.core.*;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RabbitMQConfig {
    //点对点
    public String patrolEInfoExchange = "Patrol_EInfo";

    //心跳广播
    public String patrolFInfoExchange = "Patrol_FInfo";

    @Bean
    public FanoutExchange infoFExchange(){
        return new FanoutExchange(patrolFInfoExchange,true,false);
    }


}

























