package com.usky.iot.service.vo;

import lombok.Data;

import java.util.List;

@Data
public class BaseAlarmListVO {
    /**
     * 页数
     */
    private Integer current;
    /**
     * 条数
     */
    private Integer size;

    /**
     * 主键ID
     */
    private Integer id;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 单位名称
     */
    private String companyName;

    /**
     * 设备Id
     */
    private String deviceId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 告警类型
     */
    private List<String> alarmType;

    /**
     * 处理状态;0 未处理，1 已处理
     */
    private Integer handleStatus;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 报警分类（1、报警 2、隐患）
     */
    private String typeCode;

}
