package com.usky.iot.service.vo;

import com.usky.common.core.bean.BaseEntity;
import lombok.Data;

import java.util.List;

/**
 *
 * @author fu
 * @date 2024/9/20
 */
@Data
public class PmWorkHourStatisticRequestVO extends BaseEntity {
    /**
     * 用户id集合
     */
    private List<Long> userIds;

    /**
     * 项目id
     */
    private Integer projectId;

    /**
     * 过滤标识 是否过滤0工时（默认1：不过滤；2：过滤）
     **/
    private Integer filter;

    /**
     * 开始时间
     */
    private String startDate;

    /**
     * 结束时间
     */
    private String endDate;

    /**
     * 人员 or 项目 打工仔还是项目（默认1：打工仔；2：项目）
     */
    private Integer workerOrProject;
}
