package com.usky.meeting.mapper;

import com.usky.meeting.domain.MeetingFace;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.meeting.service.vo.DmpDeviceInfoVO;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
@Repository
public interface MeetingFaceMapper extends CrudMapper<MeetingFace> {
    List<DmpDeviceInfoVO> getDeviceInfo(@Param("deviceIdList") List<Integer> deviceIdList);
}
