package com.usky.meeting.service.dto;///*
// *  Copyright 2019-2020 Zheng Jie
// *
// *  Licensed under the Apache License, Version 2.0 (the "License");
// *  you may not use this file except in compliance with the License.
// *  You may obtain a copy of the License at
// *
// *  http://www.apache.org/licenses/LICENSE-2.0
// *
// *  Unless required by applicable law or agreed to in writing, software
// *  distributed under the License is distributed on an "AS IS" BASIS,
// *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// *  See the License for the specific language governing permissions and
// *  limitations under the License.
// */
//package com.usky.demo.service.dto;
//
//import lombok.Data;
//import me.zhengjie.annotation.Query;
//
//import java.sql.Timestamp;
//import java.util.List;
//
///**
// * @website https://el-admin.vip
// * @author shiguangji
// * @date 2021-11-08
// **/
//@Data
//public class DmMeetingQueryCriteria{
//
//    @Query(blurry = "meetingName,meetingDescribe,approveSuggest,remark")
//    private String blurry;
//
//    /** 模糊 */
//    @Query(type = Query.Type.INNER_LIKE)
//    private String meetingName;
//
//    /** 精确 */
//    @Query(type = Query.Type.INNER_LIKE,joinName = "room", propName="roomName", join = Query.Join.LEFT)
//    private String roomName;
//
//    /** 精确 */
//    @Query(type = Query.Type.INNER_LIKE,joinName = "initiatorUser", propName="name", join = Query.Join.LEFT)
//    private String name;
//
//    /** 精确 */
//    @Query
//    private Long roomId;
//
//    /** 模糊 */
//    @Query(type = Query.Type.INNER_LIKE)
//    private String meetingDescribe;
//
//    /** 精确 */
//    @Query
//    private String meetingType;
//
//    /** 精确 */
//    @Query
//    private String deptId;
//
//    /** 精确 */
//    @Query
//    private Long initiatorId;
//
//    /** 精确 */
//    @Query
//    private Long approveStatus;
//
//    /** 模糊 */
//    @Query(type = Query.Type.INNER_LIKE)
//    private String approveSuggest;
//
//    /** 精确 */
//    @Query
//    private Integer actualCount;
//
//    /** 精确 */
//    @Query
//    private Integer planCount;
//
//    /** 模糊 */
//    @Query(type = Query.Type.INNER_LIKE)
//    private String remark;
//
//    /** 精确 */
//    @Query
//    private Long meetingStatus;
//
//    /** 精确 */
//    @Query
//    private String meetingMode;
//
//    /** 精确 */
//    @Query
//    private Boolean isCancel;
//
//    /** BETWEEN */
//    @Query(type = Query.Type.BETWEEN)
//    private List<Timestamp> startDate;
//    /** BETWEEN */
//    @Query(type = Query.Type.BETWEEN)
//    private List<Timestamp> endDate;
//
//    /** BETWEEN */
//    @Query(type = Query.Type.BETWEEN)
//    private List<Timestamp> createTime;
//
//    private String initUserName;//发起人
//
//    @Query(type = Query.Type.IN, joinName = "initiatorUser", propName="id", join = Query.Join.LEFT)
//    private List<String> initiatorIds;
//
//    @Query
//    private Long meetingId;//会议id
//
//    @Query(type = Query.Type.IN, propName="meetingId", join = Query.Join.LEFT)
//    private List<Long> meetingIds;
//    private String nickName;
//
//    /** 精确 */
//    @Query
//    private String taskId;
//
//    private String userId;
//
//}