/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package com.usky.meeting.service.dto;

import lombok.Data;

import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author shiguangji
* @date 2021-03-09
**/
@Data
public class DmUserDto implements Serializable {

    private String id;

    /** 姓名 */
    private String name;

    /** 性别 */
    private String sex;

    /** 联系方式 */
    private String contacts;

    /** 邮箱 */
    private String email;

    /** 部门 */
    private DeptSmallDto dept;

    /** 部门名称 */
    private String deptName;

    /** 是否是审批人 */
    private Boolean isApprover;

    private String userRootGroupId;

    private String userRootGroupName;

    private String deptId;

    private String username;

}