/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package com.usky.meeting.service.dto;

import lombok.Data;

import java.util.HashSet;
import java.util.Set;

/**
* @website https://el-admin.vip
* @author shiguangji
* @date 2021-03-09
**/
@Data
public class DmUserQueryParams {

    private Long id;

    private Set<String> deptIds = new HashSet<>();

    private String blurry;

    private String deptId;

    private Boolean isApprove;

    private Set<Long> attendeeSet = new HashSet<>();

    private String attendees;

    private Boolean isEqualDept;//是否直接按部门查找,不找下属部门
}