package com.usky.meeting.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("dmp_device")
public class DmpDeviceInfoVO implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID;设备注册时系统自动生成一个唯一编号
     */
    private String deviceId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 产品ID
     */
    private Integer productId;

    /**
     * 租户号
     */
    private Integer tenantId;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 安装位置
     */
    private String installAddress;

    /**
     * 业务状态;1：未激活，2：已激活，3：禁用
     */
    private Integer serviceStatus;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 设备uuid
     */
    private String deviceUuid;
}
