package com.usky.meeting.service.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

@Data
public class MeetingDeviceRequestVO {

    /**
     * 页数
     */
    private Integer current;
    /**
     * 条数
     */
    private Integer size;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备铭牌
     */
    private String nameplate;

    /**
     * 维护人
     */
    private String maintainer;

    /**
     * 联系方式
     */
    private String contacts;

    /**
     * 备注
     */
    private String remark;

    /**
     * 所属会议室room_Id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long roomId;

    /**
     * 所属会议室名称
     */
    private String roomName;

    /**
     * 所属门禁设备名称
     */
    private String egDeviceName;

    /**
     * 域名
     */
    private String domain;
}
