package com.usky.meeting.service.vo;

import lombok.Data;

@Data
public class MeetingInfoRequestVO {
    /**
     * 页数
     */
    private Integer current;
    /**
     * 条数
     */
    private Integer size;

    /**
     * 会议室名称
     */
    private String roomName;

    /**
     * 发起人名称
     */
    private String name;

    /**
     * 会议状态(0-未开始 1-进行中 2-已结束)
     */
    private Integer meetingStatus;

    /**
     * 审批状态(0-审批中 1-审批通过 2-审批驳回)
     */
    private Integer approveStatus;

    /**
     * 会议开始时间
     */
    private String startDate;

    /**
     * 会议结束时间
     */
    private String endDate;
}
