package com.usky.oa.service.vo;

import lombok.Data;

/**
 *
 * @author fyc
 * @email yuchuan.fu@chinausky.com
 * @date 2024/12/30
 */
@Data
public class OaApprovalCountVO {

    /**
     * @description: 待处理
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2025/1/2 9:54
     * @param:
     * @return:
     **/
    private Integer pendingSum;

    /**
     * @description: 已处理
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2025/1/2 9:54
     * @param:
     * @return:
     **/
    private Integer alreadySum;

    /**
     * @description: 已发起
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2025/1/2 9:54
     * @param:
     * @return:
     **/
    private Integer myInitiated;

    /**
     * @description: 我收到的
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2025/1/2 9:54
     * @param:
     * @return:
     **/
    private Integer myReceived;

}
