package com.usky.alarm;


import com.usky.common.core.bean.ApiResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;


@FeignClient(contextId = "remoteWebSocketService", value = "service-alarm")
public interface RemoteWebSocketService {

    @PostMapping("/selfCheck")
    ApiResult<Void> selfCheck(@RequestBody String requestBody);
}
