package com.usky.eg.domain;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 人脸设备关联表
 * </p>
 *
 * @author zyj
 * @since 2024-11-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MeetingFaceDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 人脸主键ID
     */
    private Integer faceId;

    /**
     * 设备主键ID
     */
    private Integer deviceId;


}
