package com.usky.eg.service.vo;

import lombok.Data;

import java.io.Serializable;

@Data
public class EgDeviceRequestVO implements Serializable {

    /**
     * 页数
     */
    private Integer current;
    /**
     * 条数
     */
    private Integer size;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 安装位置
     */
    private String installAddress;

    /**
     * 业务状态;1：未激活，2：已激活，3：禁用
     */
    private Integer serviceStatus;

    /**
     * 表主键Id
     */
    private Integer id;

    /**
     * 域名
     */
    private String domain;
}
