package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.PatrolInspectionRoute;
import com.usky.fire.service.PatrolInspectionRouteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author fu
 * @since 2024-06-13
 */
@RestController
@RequestMapping("/patrolInspectionRoute")
public class PatrolInspectionRouteController {
    @Autowired
    private PatrolInspectionRouteService patrolInspectionRouteService;

    @GetMapping("/routeList")
    public ApiResult<List<PatrolInspectionRoute>> routeTreeList() {
        return ApiResult.success(patrolInspectionRouteService.routeList());
    }

}

