package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 异常记录上传图片关联表
 * </p>
 *
 * @author fu
 * @since 2024-06-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PatrolInspectionAbnormalPicture implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 异常记录上传图片关联表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检异常记录ID
     */
    private Integer recordId;

    /**
     * 图片路径
     */
    private String pictureUrl;


}
