package com.usky.fire.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.domain.PatrolInspectionPlan;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-07-18
 */
@Repository
public interface PatrolInspectionPlanMapper extends CrudMapper<PatrolInspectionPlan> {
    int planSiteCount(@Param("personnelIdList") List<Integer> personnelIdList,
                      @Param("siteId") Integer siteId,
                      @Param("inspectionDate") String inspectionDate);

    List<PatrolInspectionPlan> selectNoPlanList(@Param("planIdList") List<Integer> planIdList);
}
