package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DataJinganAnalysis;
import com.usky.fire.domain.DataJinganPerson;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author han
 * @since 2024-03-07
 */
public interface DataJinganPersonService extends CrudService<DataJinganPerson> {
    /**
     * 人工督察单管理-人工督察单列表查询
     *
     * @param startTime  开始时间
     * @param endTime  结束时间
     * @param artificialCode  督察单编号
     * @param id  主键ID
     * @param handleStatus  处理状态
     * @param pageNum      当前页
     * @param pageSize     每页条数
     * @return
     */
    CommonPage<DataJinganPerson> personList(String startTime, String endTime,String artificialCode,Integer id, Integer handleStatus, Integer pageNum, Integer pageSize);

    void update(DataJinganPerson dataJinganPerson);
}
