package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.PatrolInspectionEvent;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.service.vo.PatrolInspectionPlanRequestVO;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 事件管理表 服务类
 * </p>
 *
 * @author han
 * @since 2024-05-09
 */
public interface PatrolInspectionEventService extends CrudService<PatrolInspectionEvent> {

    CommonPage<PatrolInspectionEvent> patrolInspectionEventList(PatrolInspectionPlanRequestVO requestVO);

    void add(PatrolInspectionEvent patrolInspectionEvent);
    void edit(PatrolInspectionEvent patrolInspectionEvent);

}
