package com.usky.demo;


import com.usky.common.core.bean.ApiResult;
import com.usky.demo.domain.SysUserVO;
import com.usky.demo.factory.RemoteMeetingFallbackFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.PrimitiveIterator;

@FeignClient(contextId = "RemoteMeetingService", value = "service-meeting", fallbackFactory = RemoteMeetingFallbackFactory.class)
public interface RemoteMeetingService {

    @GetMapping("/meetingInfoStatus")
    void meetingInfoStatus();

}
