package com.usky.meeting.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.meeting.domain.MeetingFile;
import com.usky.common.mybatis.core.CrudService;
import com.usky.meeting.service.vo.MeetingFileListVO;
import com.usky.meeting.service.vo.MeetingFileRequestVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 会议文件 服务类
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
public interface MeetingFileService extends CrudService<MeetingFile> {

    void insertMeetingFile(List<MeetingFileRequestVO> requestVOList);

    CommonPage<MeetingFile> meetingFileList(MeetingFileListVO meetingFileListVO);
}
