/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package com.usky.meeting.service.dto;

import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
* @website https://el-admin.vip
* @description /
* @author shiguangji
* @date 2021-03-17
**/
@Data
public class DmMeetingApproveDto implements Serializable {

    private String id;

    private Long meetingId;

    private Long initiatorId;

    private String approveUserId;

    /** 审批结果 */
    private String approveResult;

    /** 审批建议 */
    private String approveSuggest;

    /** 审批时间 */
    private Timestamp approveDate;
}