package com.usky.meeting.service.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import lombok.Data;

@Data
public class DmMeetingDtoV2 {

    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long meetingId;

    private String meetingName;

    private String meetingMode;

    private String roomName;

    private String meetingDescribe;

    private String meetingType;

    private String deptId;

    private String deptName;

    private String initiatorId;

    private String initiatorName;

    private String startDate;

    private String endDate;

    private Integer actualCount = 0;

    private Integer planCount = 0;

    private Boolean isDelay;

    private String remark;

    private Long meetingStatus;

    private Long approveStatus = 0L;

    private String meetingProp;

    private String sendType;

    private Boolean isApprove;

    private String attendeeUserIds;

    private String attendeeUserNames;


}
