package com.usky.meeting.service.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.squareup.moshi.Json;
import lombok.Data;

@Data
public class MeetingRoomReservationVO {

    /**
     * 会议室id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long meetingRoomId;

    /**
     * 会议室名称
     */
    private String meetingRoomName;

    /**
     * 会议预约日期
     */
    private String date;

    /**
     * 域名
     */
    private String domain;
}
