package com.usky.oa.service;

import com.usky.oa.domain.OaApproval;
import com.usky.common.mybatis.core.CrudService;
import com.usky.oa.domain.OaDocument;
import com.usky.oa.service.vo.OaApprovalCountVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 审批表 服务类
 * </p>
 *
 * @author fu
 * @since 2024-12-10
 */
public interface OaApprovalService extends CrudService<OaApproval> {

    /**
     * 审批统计
     * @return OaApprovalCountVO
     */
    OaApprovalCountVO approvalCount();

}
